#
# spec file for package attr (Version 2.4.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl rpm

Name:         attr
Group:        System/Filesystems
Autoreqprov:  on
Summary:      A command to manipulate filesystem extended attributes
Version:      2.4.0
Release:      14
Source:       %{name}-%{version}.src.tar.bz2
Patch:        builddefs.in.diff
Patch1:       broken-check.diff
Patch2:       trusted_namespace.patch
URL:          http://oss.sgi.com/projects/xfs/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
License:      GPL, Other License(s), see package
Conflicts:    xfsdump < 2.0.0

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

Authors:
--------
    Andreas Gruenbacher <a.gruenbacher@computer.org>
    SGI

%package -n libattr
Summary:      A dynamic library for filesystem extended attribute support
Autoreqprov:  on
Group:        System/Libraries

%description -n libattr
This package contains the libattr.so dynamic library.It contains
the extended attribute system calls and library functions.

Authors:
--------
    Andreas Gruenbacher <a.gruenbacher@computer.org>
    SGI

%package -n libattr-devel
Summary:      Libraries and header files to develop programs which use extended attributes
Autoreqprov:  on
Group:        Development/Libraries/C and C++
Obsoletes:    attr-devel

%description -n libattr-devel
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

Authors:
--------
    SGI

%prep
%setup
%patch -p1
%patch1
%patch2 -p1

%build
export OPTIMIZER="-O -fPIC"
export DEBUG=-DNDEBUG
autoconf
CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--libdir=/%{_lib} \
	--libexecdir=/%{_libdir}
make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
files()
{
	sort | uniq | awk ' 
$1 == "d" { printf ("%%%%dir %%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $5); } 
$1 == "f" { if (match ($6, "/usr/share/man") || match ($6, "/usr/share/doc/packages/attr"))
		printf ("%%%%doc ");
	    if (match ($6, "/usr/share/man"))
		printf ("%%%%attr(%s,%s,%s) %s*\n", $2, $3, $4, $6);
	    else
		printf ("%%%%attr(%s,%s,%s) %s\n", $2, $3, $4, $6); }
$1 == "l" { if (match ($3, "/usr/share/man") || match ($3, "/usr/share/doc/packages/attr"))
		printf ("%%%%doc ");
	    if (match ($3, "/usr/share/man"))
		printf ("%%%%attr(0777,root,root) %s*\n", $3);
	    else
		printf ("%%%%attr(0777,root,root) %s\n", $3); }'
}
set +x
files < "$DIST_INSTALL" | egrep -v -e "^%%dir.*/bin$" -e "^5%dir.*/man[15]$" > files.rpm
files < "$DIST_INSTALL_DEV" | egrep -v -e "^%%dir.*/lib(64)?$" -e "^%%dir.*/man[23]$" > filesdevel.rpm
files < "$DIST_INSTALL_LIB" | egrep -v -e "^%%dir.*/lib(64)?$" > fileslib.rpm
set -x

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post -n libattr
%run_ldconfig

%postun -n libattr
%run_ldconfig

%files -f files.rpm

%files -n libattr-devel -f filesdevel.rpm

%files -n libattr -f fileslib.rpm

%changelog -n attr
* Wed Apr 16 2003 - jderfina@suse.cz
- Found a better way to handle the trusted/xfsroot namespace
  transition, from a suggestion from Andreas.  COMPAT_XFSROOT
  is no longer checked, we figure this out on-the-fly now.
  (bugzilla #26246)
* Thu Feb 27 2003 - agruen@suse.de
- Fix broken attr_copy_check_permissions() function.
* Wed Feb 26 2003 - agruen@suse.de
- Update to attr-2.4.0 which has our patches integrated.
* Mon Feb 24 2003 - agruen@suse.de
- Increment libattr library version to 1.1.0.
- Fix [#24244] (prevent accidental acl copying on xfs).
- Add symbol level versioning for libattr.
* Thu Feb 13 2003 - agruen@suse.de
- Fix an interface declaration in in the error_context.h header.
* Wed Jan 22 2003 - agruen@suse.de
- Update to attr-2.2.0
- Add EA copying functions patch
- Let mls@suse.de add the following package alias in Autobuild
  for building packages against older releases:
  libattr-devel -> attr-devel [for <= 8.1]
* Tue Jan 21 2003 - agruen@suse.de
- Remove (Prereq: /sbin/ldconfig) tag, and use %%run_ldconfig
  in %%post and %%postun instead.
- attr-devel was renamed to libattr-devel: add missing
  `Obsoletes: attr-devel' tag to libattr-devel.
* Fri Dec 13 2002 - schwab@suse.de
- Fix filelist generation.
* Thu Dec 12 2002 - jderfina@suse.cz
- upgrading to version 2.1.1
- spliting attr to attr (binaries), libattr (libraries, only this package is
  needed for other packages) and libattr-devel (development stuff). This
  spliting follows SGI's release.
* Thu Sep 05 2002 - agruen@suse.de
- Update to version 2.0.11: Adds support for m68k and alpha, minor
  corrections (see attr-2.0.11/doc/CHANGES for details).
* Thu Aug 15 2002 - agruen@suse.de
- Remove the suse_update_config macro and the config.* stuff.
  (According to ro@suse.de this is not necessary.)
- Change the documentation path in builddefs.in instead of in
  configure.in.
- Update to version 2.0.9
* Thu Jun 20 2002 - lmuelle@suse.de
- Remove DESTDIR patch, use DIST_ROOT of package instead
- Update to version 2.0.8
* Wed Jun 12 2002 - ro@suse.de
- fix for ppc64 (it's called powerpc64 in configure)
* Tue May 21 2002 - coolo@suse.de
- build also on archs without xattr syscalls
* Mon May 13 2002 - sf@suse.de
- changed configure.in to use */lib64 as pkg_slib_dir and
  pkg_lib_dir on architectures with lib and lib64
* Wed Apr 24 2002 - mls@suse.de
- support for mips architecture
* Mon Feb 25 2002 - ro@suse.de
- initial package (split from xfstools spec)
